from metadocker.cmdline.commands.base import Argument, Command
from metadocker.db.db import settings
from metadocker.db.manager import DockerManager
from metadocker.register import load_env


class RemoveCommand(Command):
    NAME = "remove"
    HELP = "Supprime un scripts"
    ARGUMENTS = [
        Argument("--keep-data", "-k", action="store_true", help="Ne supprime pas les fichiers"),
        Argument("name", help="Nom du docker")
    ]

    def run(self):
        manager : DockerManager = settings.app_docker_cache
        manager.remove(self.name, not self.keep_data)
